Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.driver
Interface ExternalDatabaseAdaptor

All Superinterfaces:
  Adaptor, java.rmi.Remote

public interface ExternalDatabaseAdaptor
extends Adaptor

Provides access to ExternalDatabases in the datasource.

Field Summary
`static java.lang.String` | `TYPE` Name of the default ExternalDatabaseAdaptor available from a driver.

Method Summary
`void` | `delete(ExternalDatabase externalDatabase)`
`void` | `delete(long internalID)`
`java.util.List` | `fetch()` Fetches all external databases.
`ExternalDatabase` | `fetch(long externalDbId)` Fetches ExternalDb for the the given externalDbId
`ExternalDatabase` | `fetch(java.lang.String databaseName)` Fetches ExternalDb with the specied databaseName.
`long` | `store(ExternalDatabase externalDatabase)`

Methods inherited from interface org.ensembl.driver.Adaptor
`clearCache, closeAllConnections, getType`

Field Detail

### TYPE

    public static final java.lang.String TYPE

  Name of the default ExternalDatabaseAdaptor available from a driver.

  See Also:
    Constant Field Values

Method Detail

### fetch

    public java.util.List fetch()
                         throws AdaptorException

  Fetches all external databases.

  Returns:
    all (zero or more) ExternalDatabases from database.
  Throws:
    `AdaptorException`

### fetch

    public ExternalDatabase fetch(long externalDbId)
                           throws AdaptorException

  Fetches ExternalDb for the the given externalDbId

  Parameters:
    `externalDbId` - internalID id of the external database
  Returns:
    the ExternalDatabase object
  Throws:
    `AdaptorException` - if an adaptor error occurs

### fetch

    public ExternalDatabase fetch(java.lang.String databaseName)
                           throws AdaptorException

  Fetches ExternalDb with the specied databaseName.

  Parameters:
    `databaseName` - name of the database.
  Returns:
    ExternalDatabase if found, otherwise null.
  Throws:
    `AdaptorException`

### store

    public long store(ExternalDatabase externalDatabase)
               throws AdaptorException

  Returns:
    internalID assigned to externalDatabase in database.
  Throws:
    `AdaptorException` - if an adaptor error occurs

### delete

    public void delete(long internalID)
                throws AdaptorException

  Parameters:
    `internalID` - internalID of externalDatabase to be deleted from database.
  Throws:
    `AdaptorException` - if an adaptor error occurs

### delete

    public void delete(ExternalDatabase externalDatabase)
                throws AdaptorException

  Parameters:
    `externalDatabase` - to be delete.
  Throws:
    `AdaptorException` - if an adaptor error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD